function DATAinsert = cellMakerTLHR(IDcentralina,DTcatena,NodeNum,cTLHR,ListaDate,...
    ErrTiltLinkHR,ARRAYdateTLHR,X_HR,Y_HR,Z_HR,Xlocal_HR,Ylocal_HR,Zlocal_HR,...
    HShift_HR,HShift_local_HR,AlfaX_HR,AlfaY_HR,Azimuth_HR,TempDef_TLHR,Speed_HR,...
    Speed_local_HR,Acceleration_HR,Acceleration_local_HR)

TempDef_TLHR = TempDef_TLHR';
l = ListaDate;
DATAinsert = cell(l,22);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateTLHR(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateTLHR(ii),'HH:MM:SS');
    DATAinsert{ii,6} = X_HR(cTLHR,ii);
    DATAinsert{ii,7} = Y_HR(cTLHR,ii);
    DATAinsert{ii,8} = Z_HR(cTLHR,ii);
    DATAinsert{ii,9} = Xlocal_HR(cTLHR,ii);
    DATAinsert{ii,10} = Ylocal_HR(cTLHR,ii);
    DATAinsert{ii,11} = Zlocal_HR(cTLHR,ii);
    DATAinsert{ii,12} = HShift_HR(cTLHR,ii);
    DATAinsert{ii,13} = HShift_local_HR(cTLHR,ii);
    DATAinsert{ii,14} = Azimuth_HR(cTLHR,ii); 
    DATAinsert{ii,15} = TempDef_TLHR(cTLHR,ii);
    DATAinsert{ii,16} = Speed_HR(cTLHR,ii);
    DATAinsert{ii,17} = Speed_local_HR(cTLHR,ii);
    DATAinsert{ii,18} = Acceleration_HR(cTLHR,ii);
    DATAinsert{ii,19} = Acceleration_local_HR(cTLHR,ii);
    DATAinsert{ii,20} = ErrTiltLinkHR(cTLHR,ii);
    DATAinsert{ii,21} = AlfaX_HR(cTLHR,ii);
    DATAinsert{ii,22} = AlfaY_HR(cTLHR,ii);
end

end